Bug 430693 - (CVE-2008-0544) CVE-2008-0544 SDL_image: ILBM image handlig buffer overflow
CVE-2008-0544 SDL_image: ILBM image handlig buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://secunia.com/advisories/28640/
source=gentoo,reported=20070128,publi...
: Security
Depends On: 430694 430695 430696
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 09:30 EST by Tomas Hoger
Modified: 2008-04-24 07:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 07:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-01-29 09:30:21 EST
Secunia in their advisory SA28640 points out possible heap buffer overflow in
IMG_LoadLBM_RW - IFF ILBM image handling code - which was fixed in SDL_image SVN:

  http://secunia.com/advisories/28640/

Relevant commit:

  http://www.libsdl.org/cgi/viewvc.cgi/trunk/SDL_image/IMG_lbm.c?r1=3341&r2=3521

First part of the advisory covers GIF image handling overflow already tracked
via bug #430100.
Comment 2 Fedora Update System 2008-01-29 15:13:44 EST
SDL_image-1.2.6-5.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-01-29 15:26:50 EST
SDL_image-1.2.5-7.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-02-01 20:18:41 EST
SDL_image-1.2.6-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-02-01 20:20:16 EST
SDL_image-1.2.5-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-02 03:59:17 EST
SDL_image-1.2.5-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-04-24 07:23:03 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-1231
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1208


Note You need to log in before you can comment on or make changes to this bug.